Subject: [httpwg/http-extensions] consider hsts (#613)

From: HTTP issue updates <[email-masked]>
Date: Mon, 07 May 2018 20:07:45 +0000 (UTC)

section 4.3.2

> HTTP-specific features such as cookies [RFC6265], authentication [RFC7235], caching [RFC7234], and CORS [FETCH] might or might not work correctly, depending on how they are defined and implemented. Generally, they are designed and implemented with an assumption that the URL will always be “http” or “https”.

likely worth working HSTS into that list.. we've seen it fail to provide its security benefit when mixed on hosts that provide ftp resources

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/httpwg/http-extensions/issues/613

---

From: HTTP issue updates <[email-masked]>
Date: Mon, 07 May 2018 23:26:41 +0000 (UTC)

Closed #613 via 3e2354cb535374d6f49f150b4346aee875bad851.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/httpwg/http-extensions/issues/613#event-1614111493